stages:
  - deploy
  - package

deploy-jar:
  stage: deploy
  tags:
    - hzkepai
  rules:
    - if: $CI_COMMIT_TAG
  script:
    - mvn clean deploy -Dmaven.test.skip -DaltDeploymentRepository=master::default::file:/usr/local/nginx/html/kepai-repo
    - cd /usr/local/nginx/html/kepai-repo
    - git checkout master
    - git pull
    - git add .
    - git commit -m "deploy $CI_PROJECT_NAME $CI_COMMIT_TAG"
    - git push origin master

